Subject: Re: bug#58249: [PATCH] gnu: packages: qt: Fix qtbase-5 not building on gcc 11 or later

From: Mája Tomášek <[email-masked]>
Date: Sun, 08 Jan 2023 23:49:13 +0100

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Mája Tomášek <[email-masked]> writes:
>
>> This fixes a bug that makes qtbase-5 unbuildable with gcc 11 and later
>>
>> The QT issue https://bugreports.qt.io/browse/QTBUG-91909
>>
>> This patch is based on conversation from
>> https://github.com/RPCS3/rpcs3/issues/10349
>
> That's good to know, but Guix is currently using GCC 10.3.0, so it is
> not currently a concern.  Have you encountered a situation where it
> caused an issue?

I have. I have written a recipe for a package (namely yuzu emulator),
which depends on GCC 12. And it was actually an issue, I had to wrap
qtbase with a wrapper that goes over this problem.

> Perhaps our Qt 6 doesn't have this problem.  I'd
> suggest we do nothing for now.

It was actually fixed in later versions of qtbase-5, but I'm not sure
how this exactly works and if they are elegible for use in Guix.

> What do you think?

I don't know, it is a hidden bug that is likely to cause quite a big
problem once Guix moves to GCC 11 or later, as many apps probably won't update to
Qt 6.

Kind regards,
Maya